Loading...
Searching...
No Matches
BpGraph::ArcMap< T > Class Template Reference

## Detailed Description

template<class T>
class lemon::concepts::BpGraph::ArcMap< T >

Standard graph map type for the arcs. It conforms to the ReferenceMap concept.

`#include <lemon/concepts/bpgraph.h>`

Inheritance diagram for BpGraph::ArcMap< T >:
[legend]

## Public Member Functions

| ArcMap (const BpGraph &)
| Constructor.
| ArcMap (const BpGraph &, T)
| Constructor with given initial value.
Public Member Functions inherited from ReferenceMap< Arc, T, T &, const T & >
Reference | operator[] (const Key &)
| Returns a reference to the value associated with the given key.
void | set (const Key &k, const Value &t)
| Sets the value associated with the given key.
Public Member Functions inherited from ReadWriteMap< Arc, T >
Value | operator[] (const Key &) const
| Returns the value associated with the given key.
void | set (const Key &, const Value &)
| Sets the value associated with the given key.
Public Member Functions inherited from ReadMap< Arc, T >
Value | operator[] (const Key &) const
| Returns the value associated with the given key.
Public Member Functions inherited from WriteMap< Arc, T >
void | set (const Key &, const Value &)
| Sets the value associated with the given key.
| WriteMap ()
| Default constructor.

## Private Member Functions

| ArcMap (const ArcMap &em)
| Copy constructor.
template<typename CMap>
ArcMap & | operator= (const CMap &)
| Assignment operator.

## Additional Inherited Members

Public Types inherited from ReferenceMap< Arc, T, T &, const T & >
typedef True | ReferenceMapTag
| Tag for reference maps.
typedef Arc | Key
| The key type of the map.
typedef T | Value
| The value type of the map. (The type of objects associated with the keys).
typedef T & | Reference
| The reference type of the map.
typedef const T & | ConstReference
| The const reference type of the map.
Public Types inherited from ReadWriteMap< Arc, T >
typedef Arc | Key
| The key type of the map.
typedef T | Value
| The value type of the map. (The type of objects associated with the keys).
Public Types inherited from ReadMap< Arc, T >
typedef Arc | Key
| The key type of the map.
typedef T | Value
| The value type of the map. (The type of objects associated with the keys).
Public Types inherited from WriteMap< Arc, T >
typedef Arc | Key
| The key type of the map.
typedef T | Value
| The value type of the map. (The type of objects associated with the keys).